﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Newtonsoft.Json;
using NGinnBPM.Lib.Util;

namespace NGinnBPM.Lib.Operations
{
    public class StartProcess
    {
        public string DefinitionId { get; set; }
        [JsonConverter(typeof(TaskDataJsonConverter))]
        public Dictionary<string, object> Data { get; set; }
        public string StartedBy { get; set; }
        public string ExternalId { get; set; }
        public bool NotifyOnCompletion;
    }

    public class StartProcessResponse : OperationResult
    {
        public string InstanceId { get; set; }
    }
}
