﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;

namespace NGinnBPM.Lib.Schema
{
    /// <summary>
    /// NGinn atomic task type
    /// </summary>
    
    /// <summary>
    /// Atomic task. 
    /// </summary>
    [Serializable]
    [DataContract]
    public class AtomicTask : Task
    {
        
        /// <summary>
        /// Custom type - name of custom task factory 
        /// that will be used to create a task instance
        /// </summary>
        [DataMember(IsRequired = false, EmitDefaultValue = false)]
        public string CustomType { get; set; }
        
    }
}
