﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;

namespace NGinnBPM.Lib.Schema
{
    public enum VariableBindingType
    {
        Literal,
        Expr,
        CopyVar
    }

    [Serializable]
    [DataContract]
    public class VariableBinding
    {
        [DataMember]
        public string VariableName { get; set; }
        [DataMember]
        public VariableBindingType BindType { get; set; }
        [DataMember]
        public string Expression { get; set; }
    }
}
