﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace NGinnBPM.Runtime.Messages
{
    /// <summary>
    /// Enable task timeout message sent by parent task to itself when it enables a child task
    /// </summary>
    public class EnableTaskTimeout : TaskInstanceMessage
    {
        public string CorrelationId { get; set; }

        public EnableTaskTimeout() { }
        public EnableTaskTimeout(string targetTaskInstance, string correlation)
        {
            TargetTaskInstanceId = targetTaskInstance;
            CorrelationId = correlation;
        }
    }
}
