﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NGinnBPM.Lib.Messages;

namespace NGinnBPM.Runtime.Messages
{
    /// <summary>
    /// Used as a general success response delivered to a task instance.
    /// </summary>
    [Serializable]
    public class TaskInstanceSuccess : TaskInstanceMessage, ICorrelatedMessage
    {
        public string CorrelationId { get; set; }

        public TaskInstanceSuccess(string instanceId, string correlationId)
        {
            TargetTaskInstanceId = instanceId;
            CorrelationId = correlationId;
        }

        public TaskInstanceSuccess() { }
    }
}
