﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace NGinnBPM.Runtime.Messages
{
    /// <summary>
    /// Information that a kickable task was saved to task instance
    /// repository so it can be kicked.
    /// </summary>
    [Serializable]
    public class TaskKickableMessage 
    {
        public string InstanceId { get; set; }

        public TaskKickableMessage()
        {
        }

        public TaskKickableMessage(string instanceId)
        {
            InstanceId = instanceId;
        }
    }
}
