﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace NGinnBPM.Runtime.Messages
{
    /// <summary>
    /// inform worklist service that a work item has been completed.
    /// Done async to simplify transaction.
    /// </summary>
    [Serializable]
    public class WorkItemCompleted
    {
        public string WorklistServiceName { get; set; }
        public string WorklistUrl { get; set; }
        public string TaskInstanceId { get; set; }
        public string WorkItemId { get; set; }
    }
}
