﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace NGinnBPM.Services
{
    /// <summary>
    /// Persisted counter used for round-robin task assignment
    /// </summary>
    public interface IPersistentCounters
    {
        /// <summary>
        /// Increment and return counter value
        /// </summary>
        /// <param name="counterId"></param>
        /// <returns></returns>
        int Increment(string counterId);
    }
}
