﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;

namespace NGinnBPM.Rules.TableDriven
{
    [DataContract]
    public class RuleDef
    {
        [DataMember]
        public string Id { get; set; }
        [DataMember]
        public string Label { get; set; }
        [DataMember]
        public string[] Conditions { get; set; }
        [DataMember]
        public string[] Actions { get; set; }
        [DataMember]
        public string Context { get; set; }
    }

    [DataContract]
    public class RulesetDef
    {
        public RulesetDef()
        {
            Rules = new List<RuleDef>();
        }

        [DataMember]
        public string Name { get; set; }
        [DataMember]
        public List<RuleDef> Rules { get; set; }
        [DataMember]
        public string DefaultAction { get; set; }
    }
}
