﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NGinnBPM.Runtime.Tasks;
using NGinnBPM.Runtime;
using NGinnBPM.Services.Persistence;
using System.IO;

namespace BasicTests
{
    class SerializationTest
    {
        public static void Test1()
        {
            ProcessInstance pi = new ProcessInstance();
            pi.Marking["start"] = 1;
            pi.InstanceId = "324323425352";
            pi.TaskData["ala"] = "kot";
            pi.TaskId = "323211";
            pi.ProcessDefinitionId = "aaa.bbb.ccc";
            var d = new Dictionary<string, object>();
            d["ziutek"] = "tatata";
            d["bbb"] = new string[] { "ab", "de", "ge" };
            pi.TaskData["more"] = d;

            SimpleTaskSerializer ser = new SimpleTaskSerializer();
            var sw = new StringWriter();
            ser.SerializeTaskInstance(pi, sw);
            Console.WriteLine(sw.ToString());

            var pi2 = ser.DeserializeTaskInstance(new StringReader(sw.ToString()), null);

        }
    }
}
