﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace NGinnBPM.Lib.Interfaces
{
    public interface IConfigParameterProvider
    {
        string GetString(string paramName);
        string GetString(string paramName, string defaultValue);
        int GetInt(string paramName, int defaultValue);
        double GetDouble(string paramName, double defaultValue);
        bool GetBool(string paramName, bool defVal);
        IList<string> GetParameterNames();
        void Set(string param, string val);
        void Set(string param, int val);
        void Set(string param, double val);
        void Set(string param, bool val);
    }
}
