﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace NGinnBPM.Lib.Messages
{
    public class DiagnosticEvent
    {
        public string Message { get; set; }
        public enum EventCategory 
        {
            Error,
            Warning,
            Info
        }
        public EventCategory Category { get; set; }
        public string Source { get; set; }
        public string TaskInstanceId { get; set; }

        public override string ToString()
        {
            return string.Format("DiagnosticEvent: {0}: {1}", Source, Category);
        }
    }
}
