﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;

namespace NGinnBPM.Lib.Operations
{
   

    [DataContract]
    public class TestOperation
    {
        [DataMember]
        public List<DataField> Data { get; set;  }
    }

    [DataContract]
    public class TestOperationResponse
    {
        [DataMember]
        public string D {get; set; }
        //public AbstractBase Results { get; set; }
    }

    public abstract class AbstractBase
    {
        public string Name { get; set; }

        public AbstractBase()
        {
            Name = "abstract";
        }
        public abstract void DoSomething();
    }

    public class Concrete : AbstractBase
    {
        public override void DoSomething()
        {
            throw new NotImplementedException();
        }
    }
}
