﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace NGinnBPM.Runtime.Messages
{
    /// <summary>
    /// Task cancellation timeout, sent by parent task to itself when it cancels a child task
    /// TODO: handle this message somehow
    /// </summary>
    [Serializable]
    public class CancelTaskTimeout : TaskInstanceMessage
    {
        /// <summary>
        /// Instance id of cancelled child task
        /// </summary>
        public string ChildInstanceId { get; set; }
    }
}
