﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NGinnBPM.Lib.Messages;
using NGinnBPM.MessageBus;

namespace NGinnBPM.Runtime.Messages
{
    /// <summary>
    /// Message targeted to a task instance
    /// If NGEnvironment gets message with such interface it will route the
    /// message to appropriate task instance.
    /// </summary>
    public interface ITaskInstanceMessage : IMessageInterface
    {
        string TargetTaskInstanceId { get; set; }
    }
}
