﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NGinnBPM.Runtime.Events;
using NGinnBPM.Lib.Data;
using NGinnBPM.Lib.Messages;

namespace NGinnBPM.Runtime.Messages
{
    /// <summary>
    /// Email notification
    /// </summary>
    [Serializable]
    public class SendEmailMessage : ICorrelatedMessage
    {
        public string[] Recipients { get; set; }
        public string[] Cc { get; set; }
        public string Sender { get; set; }
        public string Subject { get; set; }
        public string BodyText { get; set; }
        public string TemplateName { get; set; }
        public string DefinitionId { get; set; }
        public string TaskId { get; set; }
        public string CorrelationId { get; set; }
        public string TaskInstanceId { get; set; }
        public string[] Attachments { get; set; }
        public Dictionary<string, object> Data { get; set; }
        /// <summary>
        /// Email sender to be used for sending the message
        /// </summary>
        public string EmailSender { get; set; }
    }
}
