﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NGinnBPM.Runtime.Events;
using System.Collections;
using NGinnBPM.Lib.Messages;

namespace NGinnBPM.Runtime.Messages
{
    /// <summary>
    /// Response to SendHttpRequest
    /// </summary>
    [Serializable]
    public class SendHttpRequestResponse : ITaskInstanceMessage, ICorrelatedMessage
    {
        public string CorrelationId { get; set; }
        public int HttpStatus { get; set; }
        public bool Success { get; set; }
        public Hashtable ResponseHeaders { get; set; }
        public Hashtable Cookies { get; set; }
        public string ResponseText { get; set; }
        public bool GoBinary { get; set; }

        #region ITaskInstanceMessage Members

        public string TargetTaskInstanceId
        {
            get {return CorrelationId;}
            set { CorrelationId = value; }
        }

        #endregion
    }
}
