﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NGinnBPM.Lib.Data;
using System.Runtime.Serialization;
using Newtonsoft.Json;
using NGinnBPM.Lib.Util;

namespace NGinnBPM.Runtime.Messages
{
    [Serializable]
    [DataContract]
    public class TaskCompleted : TaskStatusChanged
    {
        [DataMember]
        [JsonConverter(typeof(TaskDataJsonConverter))]
        public Dictionary<string, object> OutputData { get; set; }
        [DataMember]
        public string CompletedBy { get; set; }
    }
}
