﻿using System;
using System.Collections.Generic;
using NGinnBPM.MessageBus;
using NGinnBPM.Runtime.Events;
using NGinnBPM.Lib.Data;
using NGinnBPM.Lib.Schema;
using NGinnBPM.Lib.Exceptions;
using System.Text;
using NGinnBPM.Services;
using System.Runtime.Serialization;

namespace NGinnBPM.Runtime.Tasks
{
    [Serializable]
    [DataContract]
    public class ScriptTaskInstance : AtomicTaskInstance
    {
        public override void Enable(Dictionary<string, object> inputData)
        {
            base.Enable(inputData);
            ITaskScript scr = GetScriptProviderForTask();
            scr.RunScriptBlock("ScriptBody");
            Complete(null, null);
            //DefaultHandleTaskFinished(GetOutputData());
        }


    }
}
