﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace NGinnBPM.Services
{
    public class FakeInstanceLockManager : IResourceLockManager
    {
        private class DummyRCLock : IResourceLock
        {
            public void Release()
            {
            }

            public void Dispose()
            {
            }
        }


        public IResourceLock AcquireWriteLock(string rcId)
        {
            return new DummyRCLock();
        }

        public bool IsResourceLocked(string rcId)
        {
            return false;
        }


        public IResourceLock AcquireWriteLockIfUnlocked(string rcId)
        {
            throw new NotImplementedException();
        }
    }
}
