﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NGinnBPM.Runtime;
using NGinnBPM.Lib.Schema;
namespace NGinnBPM.Services
{

    public interface ICustomTaskTypeMapping
    {
        Type GetTaskType(string customTypeName);
    }

    public interface ITaskInstanceFactory
    {
        TaskInstance CreateTaskInstance(Task tsk);
    }

    /// <summary>
    /// Interface marking the default task instance factory.
    /// For all custom task instance factories, use ITaskInstanceFactory
    /// </summary>
    public interface IDefaultTaskInstanceFactory : ITaskInstanceFactory
    {

    }
}
