﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NGinnBPM.Runtime;
using System.IO;

namespace NGinnBPM.Services
{
    [AttributeUsage(AttributeTargets.Property)]
    public class DontSerializeAttribute : Attribute
    {
    }

    /// <summary>
    /// Serializer for task instance data
    /// </summary>
    public interface ITaskInstanceSerializer
    {
        void SerializeTaskInstance(TaskInstance ti, TextWriter tw);
        TaskInstance DeserializeTaskInstance(TextReader tr, Type taskType);
    }
}
