﻿using System;
using System.Collections.Generic;
using System.Text;
using Rhino.DSL;
using System.IO;
using NLog;

namespace NGinn.RippleBoo
{
    public class SimpleFSStorage : Rhino.DSL.FileSystemDslEngineStorage
    {
        private Logger log = LogManager.GetCurrentClassLogger();
        public override void NotifyOnChange(IEnumerable<string> urls, Action<string> action)
        {
            foreach (string str in urls)
            {
                log.Info("NotifyOnChange {0}", str);
            }
        }

        public override string GetChecksumForUrls(Type dslEngineType, IEnumerable<string> urls)
        {
            string s = base.GetChecksumForUrls(dslEngineType, urls);
            log.Info("GetChecksumForUrls: {0}", s);
            return s;
        }
    }
}
