﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NGinnBPM.MessageBus;
using NLog;
using System.Transactions;

namespace NGTestApp2
{
    public class MyMessageHandler : IMessageConsumer<MyMessage1>, IMessageConsumer<MyMessage2>
    {
        private static Logger log = LogManager.GetCurrentClassLogger();

        public IMessageBus MessageBus { get; set; }

    #region IMessageConsumer<MyMessage1> Members
    public void  Handle(MyMessage1 message)
    {
        if (Transaction.Current != null)
        {
            log.Info("Tran: " + Transaction.Current.TransactionInformation.LocalIdentifier);
            for (int i = 0; i < 5; i++)
            {
                //MessageBus.Notify(new MyMessage2 { TranId = Transaction.Current.TransactionInformation.LocalIdentifier + "." + i });
            }
        }
        else
        {
            log.Info("There's no transaction");
        }
    }
    #endregion


    #region IMessageConsumer<MyMessage2> Members

    public void Handle(MyMessage2 message)
    {
        log.Info("Message2: {0}", message.TranId);
    }

    #endregion
    }
}
